<?php
/**
 * The template for displaying 404 pages (not found).
 *
 * @link https://codex.wordpress.org/Creating_an_Error_404_Page
 *
 * @package NRG_Event
 */

get_header();

// show/hide sidebar
$show_sidebar = cs_get_option('show_sidebar');
if (!$show_sidebar) {
	$base_column = ' col-md-12';
} else {
	$base_column = 'col-md-9 is_sidebar';
	$right_column = 'col-md-3 is_sidebar';
}
?>

<div class="container">

	<div class="row">
		<div class="<?php echo esc_attr( $base_column );?>">
			<?php 
			if ( ! have_posts() ) { 
				get_template_part( 'template-parts/content', 'none' );
			}
			?>
		</div>
		<?php if($show_sidebar){ ?>
		<div class="<?php echo esc_attr($right_column);?>">
			<?php get_sidebar(); ?>
		</div>
		<?php } ?>
	</div>
</div>

<?php get_footer(); 
