<?php
/**
 *
 * @link https://codex.wordpress.org/Template_Hierarchy
 *
 * @package nrgevent
 *
 */

get_header();

 //titles blog
$blog_title = cs_get_option( 'blog_title' );
$blog_subtitle = cs_get_option('blog_subtitle');
$blog_desc = cs_get_option('blog_desc');

// show/hide sidebar
$show_sidebar = cs_get_option('show_sidebar');
if (!$show_sidebar) {
	$base_column = ' col-md-12';
} else {
	$base_column = 'col-md-9 is_sidebar';
	$right_column = 'col-md-3 is_sidebar';
}
?>
<div class="container blog no_vc">
	<div class="blog-list clearfix">
		<div class="row">
			<div class="<?php echo esc_attr( $base_column );?>">
				<?php
				if ( have_posts() ) { ?>

					<div class="block-header">
						<?php
							the_archive_title( '<h1 class="block-title">', '</h1>' );
							the_archive_description( '<div class="taxonomy-description">', '</div>' );
						?>
					</div>

					<?php
					// Start the loop.
					while ( have_posts() ) {

						the_post();

						$class_sticky = '';
						if( is_sticky() ){ $class_sticky = ' sticky-post'; } 
						?>
						<article class="col-xs-12 col-sm-6 col-md-4 format-<?php echo esc_attr( get_post_format() ); ?> blog-content-item">
							<?php 
							// get post format
							$format = get_post_format();
							$path = 'template-parts/content';
							if ( $format === false){ 
								get_template_part( $path, 'default' );
							} else {
								get_template_part($path, $format);
							}
							?>
						</article>
						<?php

					} // End the loop.

					the_posts_navigation();

				} else {

					get_template_part( 'template-parts/content', 'none' );

				} ?>
			</div>
			<?php if($show_sidebar){ ?>
			<div class="<?php echo esc_attr($right_column);?>">
				<?php get_sidebar(); ?>
			</div>
			<?php } ?>
		</div>
	</div>
</div>

<?php
get_footer();