<?php
/**
 * The template for displaying comments
 *
 * The area of the page that contains both current comments
 * and the comment form.
 *
 */

/*
 * If the current post is protected by a password and
 * the visitor has not yet entered the password we will
 * return early without loading the comments.
 */
if ( post_password_required() ) {
	return;
}

// Comment Layout
?>

<div id="comments" class="comments">
	
		<?php if ( have_comments() ){ ?>
			<div class="comment-block">
				<h5><?php echo esc_html( wp_count_comments($post->ID)->approved ) . '  ' . esc_html__('COMMENTS:','nrgevent'); ?></h5>
				<?php
					wp_list_comments( array(
					  'style'             => 'div',
					  'short_ping'        => true,
					  'avatar_size'       => 80,
					  'callback'          => 'nrgevent_comment',
					  'type'              => 'all',
					  'reply_text'        => esc_html__('reply','nrgevent'),
					  'page'              => '',
					  'per_page'          => '',
					  'reverse_top_level' => null,
					  'reverse_children'  => ''
					) );
				?>

				<?php paginate_comments_links(); ?> 
			</div>
		<?php } ?>

		<?php
		// If comments are closed and there are comments, let's leave a little note, shall we?
		if ( !comments_open() && get_comments_number() && post_type_supports( get_post_type(), 'comments' ) ) {
		?>
			<p class="no-comments"><?php esc_html_e( 'Comments are closed.', 'nrgevent' ); ?></p>
		<?php } ?>
		
		<?php if (comments_open()) { ?>
				<?php
				//Custom Fields
				$commenter = wp_get_current_commenter();
				$fields =  array(
					'author'=> '<input class="input-text" id="comment-author"  type="text" value="' . esc_attr( $commenter['comment_author'] ) . '"  name="author" placeholder="'.esc_html__( 'Name*', 'nrgevent' ).'" 	required="">',
					'email' => '<input class="input-text" id="comment-email"   type="email" name="email" value="' . esc_attr(  $commenter['comment_author_email'] ) . '" placeholder="'.esc_html__( 'E-mail*', 'nrgevent' ).'"  required="">',
				);

				$args = array(
					'fields' => $fields,
					'comment_field' => '<textarea id="comment" class="form-input textarea" name="comment" placeholder="Message" required=""></textarea>',
					'must_log_in' => '',
					'logged_in_as' => '',
					'comment_notes_before' => '',
					'comment_notes_after' => '',
					'title_reply' => '',
					'title_reply_to' => esc_html__('Leave a Reply to %s', 'nrgevent'),
					'cancel_reply_link' => esc_html__('Cancel', 'nrgevent'),
					'label_submit' => esc_html__('submit', 'nrgevent'),
					'class_submit' => 'c-btn b-50 black hv-black',
				);
				
				comment_form($args); ?>

		<?php } ?>



</div>
