<?php
/**
 * The template for displaying the footer.
 *
 * Contains the closing of the #content div and all content after.
 *
 * @link https://developer.wordpress.org/themes/basics/template-files/#template-partials
 *
 * @package NRG_Event
 */

$footer_text = cs_get_option( 'footer_text' );
?>

<!-- FOOTER -->
<footer class="footer">
	<div class="container">
		<?php 
		$footer_text = cs_get_option( 'footer_text');
		$nrgevent_logo_image = cs_get_option( 'footer_logo_image');
		$footer_social = cs_get_option('footer_social');
		?>

		<?php if ( ! empty( $footer_social ) ) { ?>
			<div class="social-links">
				<?php foreach ( $footer_social as $link ) { ?>
					<a href="<?php echo esc_url( $link['footer_social_link'] ); ?>" target="_blank"><i class="<?php echo esc_attr( $link['footer_social_icon'] ); ?>"></i></a>
				<?php } ?>
			</div>
		<?php } ?>
		<?php if($nrgevent_logo_image) { ?>
		<a href="<?php echo esc_url(home_url( '/' )); ?>">
		  	<img class="f-logo" src="<?php echo esc_attr( $nrgevent_logo_image ); ?>" alt="<?php echo esc_attr( get_bloginfo("name") ); ?>">
		</a>
		<?php } ?>

		<?php if ($footer_text){ ?>
		<div class="copy">
			<?php echo wp_kses_post( do_shortcode($footer_text) ); ?>
		</div>
		<?php } ?>

	</div>
</footer>  

<?php wp_footer(); ?>
</body>
</html>
