<?php
/**
 * The template for displaying all pages.
 *
 * This is the template that displays all pages by default.
 * Please note that this is the WordPress construct of pages
 * and that other 'pages' on your WordPress site may use a
 * different template.
 *
 * @link https://codex.wordpress.org/Template_Hierarchy
 *
 * @package NRG_Event
 */

get_header(); 
$site_type = cs_get_option( 'nrg_site_type' );
$favorite_page = cs_get_option( 'nrg_favorite_page' );
$nrg_order_by = cs_get_option( 'nrg_order_by' );
$nrg_order = cs_get_option( 'nrg_order' );

$show_sidebar = cs_get_option('show_sidebar');
if (!$show_sidebar) {
	$base_column = ' col-md-12';
} else {
	$base_column = 'col-md-9 is_sidebar';
	$right_column = 'col-md-3 is_sidebar';
}


?>
<div class="container">
	
<?php
	$page_id = get_the_ID();
	$key = (!empty($favorite_page)) ?  array_search($page_id, $favorite_page) : false;

	if ( $site_type == 'onepage') {

		// for onepage
		if(!count($favorite_page)) {
			$favorite_page = array();
		} 
		$args = array(
			'post_type'      => 'page',
			'post__in'       => $favorite_page,
			'post_status'    => 'publish',
			'posts_per_page' => -1,
			'order'          => (!empty($nrg_order)) ? $nrg_order : 'ASC',
			'orderby'        => (!empty($nrg_order_by)) ? $nrg_order_by : 'menu_order'
		);

		$q = new WP_Query($args);

		// Start the loop.
		if ( $q->have_posts() ) {

			while (  $q->have_posts() ) {

				$q->the_post();

				$content = get_the_content();

				if(stristr($content, 'vc_') && class_exists('Vc_Manager') && class_exists('NRGEVENT_Plugins')) { 
				?>
					<div id="<?php echo esc_attr($post->post_name);?>" class="onepage-container">
					<?php the_content(); ?>
					</div>
				<?php
				}
				// End the loop.
			} // end while;
		} // end if

	} else {

		// for multipage
		// Start the loop.
		while ( have_posts() ) 
		{
			the_post();
			
			$content = get_the_content(); 

			if (stristr($content, 'vc_') && class_exists('Vc_Manager') && class_exists('NRGEVENT_Plugins')) { 
			    the_content(); 
			} else { ?>
				<div class="wp-inner-content no_vc"> 
					<div id="post-<?php the_ID(); ?>" <?php post_class('container single-page no_vc'); ?>>
						<div class="row">
							<div class="<?php echo esc_attr( $base_column );?>">
								<?php
									the_post_thumbnail();
									?>
									<div class="conf-text"><?php the_time( get_option( 'date_format' ) ); ?></div>
									<?php
									// title
									the_title( '<h1 class="block-title">', '</h1>' );
									
									// content
									the_content(); 

									wp_link_pages( array(
										'before'      => '<div class="page-links"><span class="page-links-title">' . esc_html__( 'Pages:', 'nrgevent' ) . '</span>',
										'after'       => '</div>',
										'link_before' => '<span>',
										'link_after'  => '</span>',
										'pagelink'    => '<span class="screen-reader-text">' . esc_html__( 'Page', 'nrgevent' ) . ' </span>%',
										'separator'   => '<span class="screen-reader-text">, </span>',
									) );

									 ?>

									<div class="single-category">
										<?php 
										esc_html_e('Category: ','nrgevent');
										the_category(', ');
										?>
									</div>

									<?php if( wp_get_post_tags($post->ID) ){ ?>

										<div class="single-category">
											<?php the_tags(); ?>
										</div>

									<?php } 

									// If comments are open or we have at least one comment, load up the comment template.
									if ( comments_open() || get_comments_number() ) :
										comments_template();
									endif;
									?>
							</div>
							<?php if($show_sidebar){ ?>
							<div class="<?php echo esc_attr($right_column);?>">
								<?php get_sidebar(); ?>
							</div>
							<?php } ?>
						</div>


					</div><!-- .container -->
				</div>
				<?php
			} 
		
		} // End the loop.
		

	}  ?>

</div>
<?php get_footer(); ?>
