<?php
/**
 * The template for displaying search results pages.
 *
 * @link https://developer.wordpress.org/themes/basics/template-hierarchy/#search-result
 *
 * @package NRG_Event
 */

get_header(); 

// show/hide sidebar
$show_sidebar = cs_get_option('show_sidebar');
if (!$show_sidebar) {
	$base_column = ' col-md-12';
} else {
	$base_column = 'col-md-9 is_sidebar';
	$right_column = 'col-md-3 is_sidebar';
}

//blog_posts_per_row
$blog_posts_per_row_tablets = cs_get_option('blog_posts_per_row_tablets');
if (empty($blog_posts_per_row_tablets)) {
	$blog_posts_per_row_tablets = 'col-xs-12 col-sm-6';
}
$blog_posts_per_row = cs_get_option('blog_posts_per_row');
if (empty($blog_posts_per_row)) {
	$blog_posts_per_row = 'col-md-4';
}
?>
<div class="container no_vc">

	<div class="row">
		<div class="<?php echo esc_attr( $base_column );?>">

			<?php if ( have_posts() ) { ?>
			<div class="block-header">
				<div class="block-title">
					<?php printf( esc_html__( 'Search Results for: %s', 'nrgevent' ), '<span>' . get_search_query() . '</span>' ); ?>
				</div>
			</div>

			<div class="row">

				<?php
				// Start the loop.
				while ( have_posts() ) {

					the_post();

					//get post format
					$format = get_post_format();
					$format = ( $format === false ) ? 'default' : $format;

					?>
					<article class="<?php echo esc_attr( $blog_posts_per_row_tablets ); ?> <?php echo esc_attr( $blog_posts_per_row ); ?> format-<?php echo esc_attr( get_post_format() ); ?> blog-content-item">
						<?php 
						if( is_sticky() ){  ?>
						<i title="<?php esc_html_e( 'Sticky Post', 'nrgevent' ); ?>" class="sticky-icon fa fa-thumb-tack fa-2x"></i>
						<?php }
						// get template format
						get_template_part('template-parts/content', $format);
						?>
					</article>
					<?php

				} // End the loop.

				// If no content, include the "No posts found" template.
				} else { ?>

					<div class="block-title">
						<?php esc_html_e( 'Nothing Found', 'nrgevent' ); ?>
					</div>
					<p><?php esc_html_e( 'Sorry, but nothing matched your search terms. Please try again with some different keywords.', 'nrgevent' ); ?></p>
					<?php get_search_form(); 

				}  ?>
			</div>	
		</div>
		<?php if($show_sidebar){ ?>
		<div class="<?php echo esc_attr($right_column);?>">
			<?php get_sidebar(); ?>
		</div>
		<?php } ?>
	</div>
</div>
<?php get_footer(); ?>
