<?php
/**
 * The template for displaying all single posts.
 *
 * @link https://developer.wordpress.org/themes/basics/template-hierarchy/#single-post
 *
 * @package NRG_Event
 */

get_header(); 

// show/hide sidebar
$show_sidebar = cs_get_option('show_sidebar');
if ($show_sidebar === false) {
	$base_column = ' col-md-12';
} else {
	$base_column = 'col-md-9 is_sidebar';
	$right_column = 'col-md-3 is_sidebar';
}

//format 
$format = get_post_format();
?>
<div id="post-<?php the_ID(); ?>" <?php post_class('container single-page no_vc'); ?>>
	<div class="row">
		<div class="<?php echo esc_attr( $base_column );?>">
			<?php while ( have_posts() ) { 

				the_post(); 
				if ($format != 'video') {
					// thumbnail
					the_post_thumbnail();
				}
				?>
				<div class="conf-text"><?php the_time( get_option( 'date_format' ) ); ?></div>
				<?php
				// title
				the_title( '<h1 class="block-title">', '</h1>' );
				
				// content
				the_content(); 

				wp_link_pages( array(
					'before'      => '<div class="page-links"><span class="page-links-title">' . esc_html__( 'Pages:', 'nrgevent' ) . '</span>',
					'after'       => '</div>',
					'link_before' => '<span>',
					'link_after'  => '</span>',
					'pagelink'    => '<span class="screen-reader-text">' . esc_html__( 'Page', 'nrgevent' ) . ' </span>%',
					'separator'   => '<span class="screen-reader-text">, </span>',
				) );

				 ?>

				<div class="single-category">
					<?php 
					esc_html_e('Category: ','nrgevent');
					the_category(', ');
					?>
				</div>

				<?php if( count( wp_get_post_tags($post->ID) ) ){ ?>

					<div class="single-category">
						<?php the_tags(); ?>
					</div>

				<?php } 

				// If comments are open or we have at least one comment, load up the comment template.
				if ( comments_open() || get_comments_number() ) :
					comments_template();
				endif;
				?>

			<?php } // End of the loop. ?>
		</div>
		<?php if($show_sidebar === true || $show_sidebar === ''){  ?>
		<div class="<?php echo esc_attr($right_column);?>">
			<?php get_sidebar(); ?>
		</div>
		<?php } ?>
	</div>


</div><!-- .container -->
<?php get_footer(); ?>
